
TYPO3.Flow - Bug # 32629

Status: Closed Priority: Should have
Author: Matthias Habegger Category: Security
Created: 2011-12-16 Assigned To: Karsten Dambekalns
Updated: 2012-02-27 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: globalObjects are not available in the security (current.securityContext.party)
Description

In the file Packages\Framework\TYPO3.FLOW3\Classes\Security\Aspect\PersistenceQueryRewritingAspect.php line 374 is 

eval('$globalObject = ' . $this->globalObjects[$objectAccess[1]]);

but should be something like

$className = '\\' . $this->globalObjects[$objectAccess[1]];
$globalObject = new $className;

or in the policy.xml the securityContext is not available, for example

resources:
  entities:
    Habex_Library_Domain_Model_Book:
      Habex_Library_OwnBooks: this.owner == current.securityContext.party

Even then the current.securityContext seems not to be available.

Related issues:
duplicates TYPO3.Flow - Bug # 31677: Using current.securityContext Policies.y... Resolved 2011-11-08

History
#1 - 2011-12-20 17:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7442

#2 - 2011-12-20 17:31 - Adrian Föder

Tests don't run through; tested modified and pushed it on behalf of Matthias Habegger
#3 - 2011-12-20 18:39 - Matthias Habegger

I think, that the test also need some update, I expects, that in Settings.yaml stands something like new SecurityContext();, what was maybe once like
that.

#4 - 2011-12-22 14:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7442

#5 - 2012-02-27 17:35 - Karsten Dambekalns
- Status changed from Under Review to Closed
- Assigned To set to Karsten Dambekalns

Duplicate of issue #31677
